/**
sketch for CPX1
Insert your details in the relevant spots
**/

#define BLYNK_TEMPLATE_ID "<YOUR_TEMPLATE_ID>"
#define BLYNK_DEVICE_NAME "<YOUR_DEVICE_NAME>"
#define BLYNK_AUTH_TOKEN "<YOUR_TOKEN>"


// Comment this out to disable prints and save space
#define BLYNK_PRINT SerialUSB


#include <ESP8266_Lib.h>
#include <BlynkSimpleShieldEsp8266.h>
#include <Adafruit_CircuitPlayground.h>

char auth[] = BLYNK_AUTH_TOKEN;
BlynkTimer timer;

// Your WiFi credentials.
// Set password to "" for open networks.
char ssid[] = "<YOUR_WIFI_NAME";
char pass[] = "<YOUR_WIFI_PASSWORD";

// Hardware Serial on Mega, Leonardo, Micro...
#define EspSerial Serial1

// Your ESP8266 baud rate:
#define ESP8266_BAUD 115200

ESP8266 wifi(&EspSerial);

bool notFound = false;
//int i = 0;
int yPrev =0;

int i = 0;
BLYNK_WRITE(V1)
{
  i = param.asInt(); // Get value as integer
}

void TurOnNeoPixels()
{
  CircuitPlayground.setPixelColor(0, 255,   0,   0);
  CircuitPlayground.setPixelColor(1, 128, 128,   0);
  CircuitPlayground.setPixelColor(2,   0, 255,   0);
  CircuitPlayground.setPixelColor(3,   0, 128, 128);
  CircuitPlayground.setPixelColor(4,   0,   0, 255);
  
  CircuitPlayground.setPixelColor(5, 0xFF0000);
  CircuitPlayground.setPixelColor(6, 0x808000);
  CircuitPlayground.setPixelColor(7, 0x00FF00);
  CircuitPlayground.setPixelColor(8, 0x008080);
  CircuitPlayground.setPixelColor(9, 0x0000FF);
}

void TurnOffNeoPixels()
{  
  CircuitPlayground.setPixelColor(0, 0,   0,   0);
  CircuitPlayground.setPixelColor(1, 0, 0,   0);
  CircuitPlayground.setPixelColor(2, 0, 0,   0);
  CircuitPlayground.setPixelColor(3, 0, 0, 0);
  CircuitPlayground.setPixelColor(4, 0,   0, 0);
  CircuitPlayground.setPixelColor(5, 0x000000);
  CircuitPlayground.setPixelColor(6, 0x000000);
  CircuitPlayground.setPixelColor(7, 0x000000);
  CircuitPlayground.setPixelColor(8, 0x000000);
  CircuitPlayground.setPixelColor(9, 0x000000);
}

void MakeSound()
{
  CircuitPlayground.playTone(500, 100);
}

void StopSound()
{
  CircuitPlayground.playTone(0, 0);
}


int led = 13;  
int brightness = 0;  
int fadeAmount = 5;   

void setup()
{
  pinMode(1, OUTPUT);
  pinMode(2, OUTPUT);
  pinMode(3, OUTPUT);
  pinMode(4, OUTPUT);
  pinMode(5, OUTPUT);
  pinMode(led, OUTPUT);
  pinMode(led, OUTPUT);

  CircuitPlayground.begin();
  // Debug console
  SerialUSB.begin(115200);

  // Set ESP8266 baud rate
  EspSerial.begin(ESP8266_BAUD);
  delay(10);

  Blynk.begin(auth, wifi, ssid, pass);
  //timer.setInterval(500L, accelDataSend);
}

void loop()
{
   Blynk.run();
   
  if (CircuitPlayground.slideSwitch())
  { 
    if (i == 1){
      MakeSound();
      TurOnNeoPixels();
    }
    if (CircuitPlayground.leftButton() || CircuitPlayground.rightButton())  //When found, user clicks either button and the light + dashboard widget turn off
    { 
      Blynk.virtualWrite(V1, 0);
      i = 0;
    }

    if (i < 1) 
    {
      StopSound();
      TurnOffNeoPixels();
    }
  }
   
}
